/Users/bernard/b20/bsoft/tcltk/bshow_image.tcl(3)

NAME
/Users/bernard/b20/bsoft/tcltk/bshow_image.tcl - Procedures for manipulating images in Bshow.

SYNOPSIS

  Functions
setupImageMenu
Menu for manipulating image files.
switchImage
Switches the images and slices.
setImageType
Sets the image type.
fixType
Switchs the sign convention for the data type.
setOrigin
Sets the image origin.
setImageOrigin w t
Sets the image origin.
getOriginX c
Gets the x origin in canvas coordinates.
getOriginY c
Gets the y origin in canvas coordinates.
centerOrigin
Centers the image origin with wrapping.
zeroOrigin
Shifts the image origin to zero {0,0,0} with wrapping.
extractImage
Extracts part of an image.
cropImage
Crops an image to a smaller size.
Pad
Pads an image to a larger size.
padImage w
Pads the image.
modifyImage
Invokes a dialog box with modifyable image parameters.
modifyImage_and_DestroyWindow w
Modifies the image.
changeDataType datatype
This chnages the data type.
invertImage
This inverts the image.
Bin
This invokes a dialog box with binning parameters.
binImage w
This inverts the image.
Filter
This invokes a dialog box with filter parameters.
filterImage w
This filters the image.
Montage
This invokes a dialog box with montage parameters.
montageImage w
Montages the image.
unsetMontage
drawMontageOverlay
montageSelect x y
saveMontage
saveMontageSelection
deleteMontageSelection
FourierTransform dir
Calculates a Fourier transform of the image data.
PowerSpectrum
Calculates a power spectrum of the image data.
calcPowerSpec w
Calculates a power spectrum of the image data.

Detailed Description

Procedures for manipulating images in Bshow.

Author:
    Bernard Heymann

Date:
    Created: 20010516

    Modified: 20191001

Definition in file bshow_image.tcl.

Function Documentation

  Bin

This invokes a dialog box with binning parameters.

Definition at line 556 of file bshow_image.tcl.

  binImagew

This inverts the image.

Definition at line 587 of file bshow_image.tcl.

  calcPowerSpecw

Calculates a power spectrum of the image data.

Parameters:
    w the window to destroy.

Definition at line 1017 of file bshow_image.tcl.

  centerOrigin

Centers the image origin with wrapping.

Definition at line 233 of file bshow_image.tcl.

  changeDataTypedatatype

This chnages the data type.

Definition at line 533 of file bshow_image.tcl.

  cropImage

Crops an image to a smaller size.

Definition at line 294 of file bshow_image.tcl.

  deleteMontageSelection

Definition at line 905 of file bshow_image.tcl.

  drawMontageOverlay

Definition at line 764 of file bshow_image.tcl.

  extractImage

Extracts part of an image.

Definition at line 263 of file bshow_image.tcl.

  Filter

This invokes a dialog box with filter parameters.

Definition at line 607 of file bshow_image.tcl.

  filterImagew

This filters the image.

Definition at line 642 of file bshow_image.tcl.

  fixType

Switchs the sign convention for the data type.

Definition at line 143 of file bshow_image.tcl.

  FourierTransformdir

Calculates a Fourier transform of the image data.

Definition at line 933 of file bshow_image.tcl.

  getOriginXc

Gets the x origin in canvas coordinates.

Parameters:
    c Canvas object.

Definition at line 209 of file bshow_image.tcl.

  getOriginYc

Gets the y origin in canvas coordinates.

Parameters:
    c Canvas object.

Definition at line 221 of file bshow_image.tcl.

  invertImage

This inverts the image.

Definition at line 546 of file bshow_image.tcl.

  modifyImage

Invokes a dialog box with modifyable image parameters.

Definition at line 391 of file bshow_image.tcl.

  modifyImage_and_DestroyWindoww

Modifies the image.

Parameters:
    w the window to destroy.

Definition at line 487 of file bshow_image.tcl.

  Montage

This invokes a dialog box with montage parameters.

Definition at line 664 of file bshow_image.tcl.

  montageImagew

Montages the image.

Definition at line 726 of file bshow_image.tcl.

  montageSelectx y

Definition at line 841 of file bshow_image.tcl.

  Pad

Pads an image to a larger size.

Definition at line 323 of file bshow_image.tcl.

  padImagew

Pads the image.

Parameters:
    w the window to destroy.

Definition at line 372 of file bshow_image.tcl.

  PowerSpectrum

Calculates a power spectrum of the image data.

Definition at line 949 of file bshow_image.tcl.

  saveMontage

Definition at line 872 of file bshow_image.tcl.

  saveMontageSelection

Definition at line 886 of file bshow_image.tcl.

  setImageOriginw t

Sets the image origin.

Parameters:
    w window.
    t 0=coordinates, 1=center.

Definition at line 188 of file bshow_image.tcl.

  setImageType

Sets the image type.

Definition at line 107 of file bshow_image.tcl.

  setOrigin

Sets the image origin.

Definition at line 153 of file bshow_image.tcl.

  setupImageMenu

Menu for manipulating image files.

Definition at line 27 of file bshow_image.tcl.

  switchImage

Switches the images and slices.

Definition at line 97 of file bshow_image.tcl.

  unsetMontage

Definition at line 754 of file bshow_image.tcl.

  zeroOrigin

Shifts the image origin to zero {0,0,0} with wrapping.

Definition at line 248 of file bshow_image.tcl.

Author

Generated automatically by Doxygen for Bsoft from the source code.